---
title: The first single application for the entire DevOps lifecycle - GitLab
description: “From project planning and source code management to CI/CD and monitoring, GitLab is a complete DevOps platform, delivered as a single application. Only GitLab enables Concurrent DevOps to make the software lifecycle 200% faster.”
suppress_header: true
layout: home
extra_css:
  - home.css
  - merchandising-content.css
  - bl-modal.css
extra_js:
  - libs/on-scroll.js
  - all-clickable.js
---

- currentTime = Time.now.in_time_zone("Pacific Time (US & Canada)")
- expirationDate = Time.parse("2019-12-05")
- if expirationDate > currentTime
  = partial "includes/home/hero-temp"
- else
  = partial "includes/home/hero"
.simple-cta.pullup What is your biggest DevOps dilemma?

.container
  .row.challenge-boxes.u-margin-top-sm
    .col-md-4.challenge-box.complexity.js-all-clickable
      .box-image{ style: "background: url('/images/unsplash/data-servers.jpg') no-repeat center center / cover;" }
        .box-image-title Complex Toolchains
      .box-heading Your DevOps toolchain is complex, expensive to maintain, and brittle
      .box-copy With GitLab, you can simplify your toolchain. Ditch the plug-ins, minimize the integrations, and get back to releasing great software.
      .box-link
        = link_to "/just-commit/lower-tco/" do
          Learn More
          %i.fas.fa-arrow-right
    .col-md-4.challenge-box.speed.js-all-clickable
      .box-image{ style: "background: url('/images/unsplash/data.png') no-repeat center center / cover;" }
        .box-image-title Speed
      .box-heading Your developers are slowed down by bottlenecks, hand-offs, and re-work
      .box-copy With GitLab, SCM, CI, security and more are in one browser window. Stop context switching and start collaborating at the point of code.
      .box-link
        = link_to "/just-commit/reduce-cycle-time/" do
          Learn More
          %i.fas.fa-arrow-right
    .col-md-4.challenge-box.security.js-all-clickable
      .box-image{ style: "background: url('/images/unsplash/lock.jpg') no-repeat center center / cover;" }
        .box-image-title Security
      .box-heading You are forced to trade speed for security... or security for speed
      .box-copy With GitLab, you can move security "left" in the development process. Developers can see and fix problems, with security fully in the loop.
      .box-link
        = link_to "/just-commit/secure-apps/" do
          Learn More
          %i.fas.fa-arrow-right

= partial "includes/home/customer-logos-transparent"
.wrapper-dark
  = partial "includes/contact-sales"
.container
  = partial "includes/home/sdlc"

= partial "includes/home/ten-oh-announcement"

= partial "includes/recent-posts"

= partial "includes/home/feature-group"

.bl-modal#form-for-playbook
  %span.bl-modal-close
  .bl-modal-content
    %h4.text-center
      Download The Remote Playbook Now
    <script src="//app-ab13.marketo.com/js/forms2/js/forms2.min.js"></script>
    <form id="mktoForm_2430"></form>
    <script>MktoForms2.loadForm("//app-ab13.marketo.com", "194-VVC-221", 2430);</script>

<script src="/javascripts/bl-modal.js" type="text/javascript" data-cookieconsent="ignore"></script>
%script{type: "text/javascript", "data-cookieconsent": "ignore"}
  :plain
    blOpenModal('.form-lightbox-open', '#form-for-playbook');

<script src="/javascripts/home.js" type="text/javascript" data-cookieconsent="ignore"></script>